Files

Files

List, get and delete files. Scope: files.read / files.write.

List files

GET /v1/files
files.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

None

Response
data array
id string
name string
extension string
url string
created_at string
meta object

Examples

GET /v1/files
curl -X GET "https://api.appficient.nl/v1/files" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Retrieve a file

GET /v1/files/{id}
files.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body

None

Response
data object
id string
name string
extension string
url string
created_at string
meta object

Examples

GET /v1/files/{id}
curl -X GET "https://api.appficient.nl/v1/files/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Delete a file

DELETE /v1/files/{id}
files.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body

None

Response

None

Examples

DELETE /v1/files/{id}
curl -X DELETE "https://api.appficient.nl/v1/files/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.